> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a document from a given assistant

> Delete a document from a given assistant.



## OpenAPI

````yaml /openapi.json delete /api/documents/assistant/{externalId}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/documents/assistant/{externalId}:
    delete:
      tags:
        - Assistant Documents
      summary: Delete a document from a given assistant
      description: Delete a document from a given assistant.
      operationId: PublicRagieController_deleteRagieFile
      parameters:
        - name: externalId
          required: true
          in: path
          description: The external id of the document
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Document deleted successfully.
        '400':
          description: Bad request.
        '401':
          description: Unauthorized.

````